<?php

namespace Drupal\ad_inserter;

use Drupal\ad_inserter\Entity\AdInserter;

use Drupal\Core\Entity\ContentEntityStorageInterface;
use Drupal\Core\Entity\Sql\SqlContentEntityStorage;

class AdInserterStorage extends SqlContentEntityStorage implements ContentEntityStorageInterface{

  /**
   * @param $machine_name
   *
   * @return AdInserter|null
   */
  public function loadByMachineName($machine_name): ?AdInserter{
    $entities = $this->loadByProperties(['machine_name' => $machine_name]);
    return $entities ? array_shift($entities) : NULL;
  }
}
